clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::FunctionInfo Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::FunctionInfo:
[legend]
Collaboration diagram for clang::doc::FunctionInfo:
[legend]

## Public Member Functions
| FunctionInfo ()
| FunctionInfo (SymbolID USR)
void | merge (FunctionInfo &&I)
Public Member Functions inherited from clang::doc::SymbolInfo
| SymbolInfo (InfoType IT)
| SymbolInfo (InfoType IT, SymbolID USR)
| SymbolInfo (InfoType IT, SymbolID USR, StringRef Name)
void | merge (SymbolInfo &&I)
Public Member Functions inherited from clang::doc::Info
| Info ()=default
| Info (InfoType IT)
| Info (InfoType IT, SymbolID USR)
| Info (InfoType IT, SymbolID USR, StringRef Name)
| Info (const Info &Other)=delete
| Info (Info &&Other)=default
virtual | ~Info ()=default
void | mergeBase (Info &&I)
bool | mergeable (const Info &Other)
llvm::Expected< Reference > | getEnclosingScope ()

## Public Attributes
bool | IsMethod = false
Reference | Parent
TypeInfo | ReturnType
llvm::SmallVector< FieldTypeInfo, 4 > | Params
AccessSpecifier | Access = AccessSpecifier::AS_none
Public Attributes inherited from clang::doc::SymbolInfo
llvm::Optional< Location > | DefLoc
llvm::SmallVector< Location, 2 > | Loc
Public Attributes inherited from clang::doc::Info
SymbolID | USR
const InfoType | IT = InfoType::IT_default
SmallString< 16 > | Name
llvm::SmallVector< Reference, 4 > | Namespace
std::vector< CommentInfo > | Description

## Detailed Description

Definition at line 217 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ FunctionInfo() [1/2]

clang::doc::FunctionInfo::FunctionInfo | ( |  | ) |
| inline

Definition at line 218 of file Representation.h.

## ◆ FunctionInfo() [2/2]

clang::doc::FunctionInfo::FunctionInfo | ( | SymbolID | USR | ) |
| inline

Definition at line 219 of file Representation.h.

## Member Function Documentation

## ◆ merge()

void clang::doc::FunctionInfo::merge | ( | FunctionInfo && | I | ) |

Definition at line 177 of file Representation.cpp.

References clang::doc::SymbolInfo::merge(), clang::doc::Info::mergeable(), and ReturnType.

## Member Data Documentation

## ◆ Access

AccessSpecifier clang::doc::FunctionInfo::Access = AccessSpecifier::AS_none

Definition at line 228 of file Representation.h.

Referenced by clang::doc::serialize::emitInfo(), clang::doc::genMarkdown(), and llvm::yaml::MappingTraits< FunctionInfo >::mapping().

## ◆ IsMethod

bool clang::doc::FunctionInfo::IsMethod = false

Definition at line 223 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::serialize::emitInfo(), and llvm::yaml::MappingTraits< FunctionInfo >::mapping().

## ◆ Params

llvm::SmallVector<FieldTypeInfo, 4> clang::doc::FunctionInfo::Params

Definition at line 226 of file Representation.h.

Referenced by clang::doc::addTypeInfo(), clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::genMarkdown(), llvm::yaml::MappingTraits< FunctionInfo >::mapping(), and clang::doc::serialize::parseParameters().

## ◆ Parent

Reference clang::doc::FunctionInfo::Parent

Definition at line 224 of file Representation.h.

Referenced by clang::doc::addReference(), clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::serialize::emitInfo(), and llvm::yaml::MappingTraits< FunctionInfo >::mapping().

## ◆ ReturnType

TypeInfo clang::doc::FunctionInfo::ReturnType

Definition at line 225 of file Representation.h.

Referenced by clang::doc::addTypeInfo(), clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::genMarkdown(), llvm::yaml::MappingTraits< FunctionInfo >::mapping(), and clang::doc::serialize::populateFunctionInfo().

The documentation for this struct was generated from the following files:

- Representation.h
- Representation.cpp